import { PageCallbackRouter as SearchboxPageCallbackRouter, PageHandlerRemote as SearchboxPageHandlerRemote } from '//resources/mojo/components/omnibox/browser/searchbox.mojom-webui.js';
import type { AutocompleteMatch } from '//resources/mojo/components/omnibox/browser/searchbox.mojom-webui.js';
import { PageCallbackRouter, PageHandlerRemote } from './composebox.mojom-webui.js';
export declare function createAutocompleteMatch(config?: Partial<AutocompleteMatch>): AutocompleteMatch;
export interface ComposeboxProxy {
    handler: PageHandlerRemote;
    callbackRouter: PageCallbackRouter;
    searchboxHandler: SearchboxPageHandlerRemote;
    searchboxCallbackRouter: SearchboxPageCallbackRouter;
    getSmartTabSharingActive(): Promise<{
        active: boolean;
    }>;
    setSmartTabSharingActive(active: boolean): void;
    observeSmartTabSharingActive(callback: (active: boolean) => void): number;
}
export declare class ComposeboxProxyImpl implements ComposeboxProxy {
    handler: PageHandlerRemote;
    callbackRouter: PageCallbackRouter;
    searchboxHandler: SearchboxPageHandlerRemote;
    searchboxCallbackRouter: SearchboxPageCallbackRouter;
    constructor(handler: PageHandlerRemote, callbackRouter: PageCallbackRouter, searchboxHandler: SearchboxPageHandlerRemote, searchboxCallbackRouter: SearchboxPageCallbackRouter);
    getSmartTabSharingActive(): Promise<{
        active: boolean;
    }>;
    setSmartTabSharingActive(active: boolean): void;
    observeSmartTabSharingActive(callback: (active: boolean) => void): number;
    static getInstance(): ComposeboxProxyImpl;
    static setInstance(newInstance: ComposeboxProxy): void;
}
